import * as core from "@terrascript/core";

export interface ResourceAssociationArgs extends core.ResourceArgs {
  resourceArn: string | core.StringOut;

  resourceShareArn: string | core.StringOut;
}

export class ResourceAssociation extends core.Resource<ResourceAssociationArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public resourceArn!: string | core.StringOut;

  @core.attr(String)
  public resourceShareArn!: string | core.StringOut;

  constructor(name: string, args?: ResourceAssociationArgs) {
    super(name, "aws_ram_resource_association", args);
  }

  public override getNamespace(): string {
    return "aws_ram";
  }
}
